Skip to main content
POST
Create Patient Credit Settled

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

amount
integer
required

Body

application/json
patientId
string
required

Identifier of the patient being charged.

totalOutstanding
integer
required

Total outstanding amount that is yet to be paid.

id
string | null

A unique identifier for the charge. Auto-generated if not provided.

patient
PatientSummary · object | null

Summary details of the patient being charged.

total
integer
default:0

Total amount of the charge.

description
string | null

Description of the charge.

status
enum<string>
default:OUTSTANDING

Current status of the charge.

Available options:
OUTSTANDING,
PAID,
EXTERNAL_SETTLEMENT,
VOID,
WRITE_OFF,
REFUNDED,
CHARGEBACK,
PAYMENT_PLAN,
COLLECTIONS
discountAmount
integer | null
default:0

Any discount applied to the total outstanding.

discountPercentage
number | null
default:0

Percentage of discount applied to the charge.

externalId
string | null

External identifier for the charge, if applicable.

externalCreatedDate
string<date-time> | null

The creation date of the charge in your external system, if applicable.

ruleSetId
string | null

Identifier for the RuleSet applied to this Charge, if any.

createdDate
string<date-time> | null

The date when the charge was created.

creatorId
string | null

Identifier of the Provider who created the charge (i.e. the Clinician, or relevant Biller).

items
ChargeItem · object[]

List of Items in the Charge.

tips
TipDetail · object[]

List of Tips in the Charge.

locationId
string | null

Identifier of the Location where the charge was created.

eventId
string | null

Identifier of the Event this charge is associated with, if any.

memberId
string | null

Identifier of the Member this charge is associated with, if any.

comment
string | null

Any additional comments about the charge.

meta
Meta · object | null

Any additional metadata about the charge relevant to your system.

merchantAccountId
string | null

Identifier of the MerchantAccount this charge is associated with.

payments
ChargePaymentDetail · object[]

List of Payments in the Charge.

adjustments
AdjustmentSummary · object[]

List of Adjustments in the Charge.

Response

Successful Response

id
string
required

The unique identifier for the payment.

amount
integer
required

The total amount of the payment.

status
enum<string>
required

The current status of the payment.

Available options:
CANCELED,
CREATED,
FAILED,
IN_REVIEW,
PRESENTING,
PROCESSING,
SUCCEEDED
paymentMedium
string
required

The name of the payment medium.

createdDate
string<date-time>
required

The date and time the payment was created.

feeToPatient
integer
required

The fee charged to the patient for the transaction.

patientId
string | null

The ID of the patient associated with the payment.

payinId
string | null

The ID of the payin associated with the payment.

currency
string
default:USD

The currency in which the payment was made.

payinConfigId
string | null

The configuration ID for the payin.

paymentMethodId
string | null

The ID of the payment method used.

stripePaymentIntentId
string | null

Stripe's payment intent ID if used.

failedReason
string | null

Reason for payment failure if applicable.

updatedDate
string<date-time> | null

The date and time the payment was last updated.

fee
integer
default:0

The fee charged by the payment processor.